<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.ImageItem.ImageItem &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.ImageItem.ImageItem &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.ImageItem.html">ImageItem</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="constant"><a href="Rygel.ImageItem.UPNP_CLASS.html">UPNP_CLASS</a></li>
          <li class="property"><a href="Rygel.ImageItem.color_depth.html">color_depth</a></li>
          <li class="property"><a href="Rygel.ImageItem.height.html">height</a></li>
          <li class="property"><a href="Rygel.ImageItem.thumbnails.html">thumbnails</a></li>
          <li class="property"><a href="Rygel.ImageItem.width.html">width</a></li>
          <li class="creation_method">ImageItem</li>
          <li class="virtual_method"><a href="Rygel.ImageItem.add_uri.html">add_uri</a></li>
          <li class="virtual_method"><a href="Rygel.ImageItem.constructed.html">constructed</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">ImageItem</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <b><span class="creation_method">ImageItem</span></b> (<span class="main_basic_type"><span class="class">string</span></span> id, <span class="main_type"><a href="Rygel.MediaContainer.html" class="abstract_class">MediaContainer</a></span> parent, <span class="main_basic_type"><span class="class">string</span></span> title, <span class="main_basic_type"><span class="class">string</span></span> upnp_class = <b><a href="Rygel.ImageItem.UPNP_CLASS.html" class="constant">UPNP_CLASS</a></b>)
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>